Conversation fields
Retrieve a conversation field
AuthorizationBearer <token>
In: header
Path Parameters
idinteger
ID of the conversation field to retrieve
Response Body
application/json
application/json
application/json
curl -X GET "https://app.sparrowdesk.com/v1/conversations/fields/0"{
"data": {
"id": 102,
"name": "Priority Level",
"internal_name": "priority_level",
"type": "dropdown",
"description": "Priority level for tickets",
"is_active": true,
"is_default": false,
"is_mandatory_on_close": true,
"field_options": [
{
"id": 1,
"name": "Low",
"position": 1
}
],
"nested_fields": [
{
"id": 205,
"name": "Category",
"internal_name": "nested_level_102_1",
"level": 1,
"parent_id": 102,
"options": [
{
"id": 11,
"name": "Hardware",
"position": 1,
"parent_option_id": null
}
]
}
],
"created_at": 1672531200,
"updated_at": 1672535400
}
}{
"error": {
"message": "Conversation field with id 999 not found"
}
}{
"error": {
"message": "Error while fetching conversation field"
}
}